OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.MESA.YCbCrTexture

Contents

- Extension Support
- Enums

Description

Synopsis

- glGetMESAYCbCrTexture :: MonadIO m => m Bool
- gl_MESA_ycbcr_texture :: Bool
- gl_UNSIGNED_SHORT_8_8_MESA :: GLenum
- gl_UNSIGNED_SHORT_8_8_REV_MESA :: GLenum
- gl_YCBCR_MESA :: GLenum

# Extension Support

glGetMESAYCbCrTexture :: MonadIO m => m Bool

Is the MESA_ycbcr_texture extension supported?

gl_MESA_ycbcr_texture :: Bool

Is the MESA_ycbcr_texture extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetMESAYCbCrTexture` in those cases instead.

# Enums

gl_UNSIGNED_SHORT_8_8_MESA :: GLenum

gl_UNSIGNED_SHORT_8_8_REV_MESA :: GLenum

gl_YCBCR_MESA :: GLenum